readline versions like "4.735beta5-pl2" should now be correctly recognized